Package net.sf.saxon.dom

## Class DOMTransform

- java.lang.Object
- - net.sf.saxon.Transform
  - - net.sf.saxon.dom.DOMTransform

-     public class DOMTransform
      extends Transform

  Variant of command line net.sf.saxon.Transform do build the source document in DOM and then proceed with the transformation. This class is provided largely for testing purposes.

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.Transform

      `allowExit, compiler, processor, repeat, run, schemaAware, showTime, sourceParserName, useURLs`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DOMTransform()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] args)` |
    `java.util.List<javax.xml.transform.Source>` | `preprocess​(java.util.List<javax.xml.transform.Source> sources)` | Preprocess the list of sources.

    - ### Methods inherited from class net.sf.saxon.Transform

      `applyLocalOptions, badUsage, doTransform, getConfiguration, initializeConfiguration, newTransformer, now, processFile, quit, setFactoryConfiguration, setPermittedOptions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DOMTransform

          public DOMTransform()

  - ### Method Detail

    - #### preprocess

          public java.util.List<javax.xml.transform.Source> preprocess​(java.util.List<javax.xml.transform.Source> sources)
                                                                throws XPathException

      Description copied from class: `Transform`
      Preprocess the list of sources. This method exists so that it can be overridden in a subclass, typically to handle kinds of Source implemented as extensions to the basic Saxon capability
      Overrides:
        `preprocess` in class `Transform`
      Parameters:
        `sources` - the list of Source objects
      Returns:
        a revised list of Source objects
      Throws:
        `XPathException` - if a Source object is not recognized

    - #### main

          public static void main​(java.lang.String[] args)